# -*- coding: utf-8 -*-

import os
import struct
import json
from django.core import serializers
from cesium.models import GPX_TRACK
from django.contrib.auth.models import User

def get_track_details(request):

    trkid = request.POST.get('trkid', '')

    if(request.user.id is not None):
        if(trkid is not None):
            trackQuery = GPX_TRACK.objects.filter(id=trkid)

            message = 'Tracks wurden erfolgreich geladen.'
            success = True
            data = serializers.serialize("json", trackQuery)

            retMsg = '{"success": "' + str(success) + '" , "msg":"' + message + '", "data":' + data + '}'

        else:
            message = 'Sie sind nicht eingeloggt. Es konnten keine Tracks geladen werden.'
            success = False

            retMsg = '{"success": "' + str(success) + '" , "msg":"' + message + '"}'

    return retMsg