# -*- coding: utf-8 -*-

import os
import struct
import json
from django.core import serializers
from cesium.models import GPX_TRACK
from django.contrib.auth.models import User

def get_user_tracks(request):

    if(request.user.id is not None):
        queryset = GPX_TRACK.objects.filter(userid=request.user)

        message = 'Tracks wurden erfolgreich geladen.'
        success = True
        data = serializers.serialize("json", queryset)

        print(data)

        retMsg = '{"success": "' + str(success) + '" , "msg":"' + message + '", "data":' + data + '}'

    else:
        message = 'Sie sind nicht eingeloggt. Es konnten keine Tracks geladen werden.'
        success = False

        retMsg = '{"success": "' + str(success) + '" , "msg":"' + message + '"}'
    return retMsg