# -*- coding: utf-8 -*-

import os
import struct
import json
from django.core import serializers
from cesium.models import GPX_TRACK
from django.contrib.auth.models import User

def update_track_details(request):

    trkid = request.POST.get('trkid', '')
    trackName = request.POST.get('name', '')
    trackDesc = request.POST.get('desc', '')
    trackType = request.POST.get('type', '')

    if(trkid is not None):
        gpxTrack = GPX_TRACK.objects.filter(id=trkid)

        print(gpxTrack)

        gpxTrack.update(name=trackName)
        gpxTrack.update(desc=trackDesc)
        gpxTrack.update(type=trackType)

        message = 'Trackdetails wurden erfolgreich geändert.'
        success = True

        retMsg = '{"success": "' + str(success) + '" , "msg":"' + message + '"}'

    else:
        message = 'Fehler: Die TrackId konnte nicht identifiziert werden.'
        success = False

        retMsg = '{"success": "' + str(success) + '" , "msg":"' + message + '"}'

    return retMsg