# Import django modules
from django.conf.urls import *

urlpatterns = patterns('cesium.views',
    (r'^django/auth/', include('terrestris_auth.urls')),
    url(r'django/index$', 'index', name='cesium-index'),
    url(r'^django/login$', 'login', name='cesium-login'),
    url(r'^django/upload$', 'uploadGpx', name='cesium-upload'),
    url(r'^django/getTracks$', 'getTracks', name='cesium-getTracks'),
    url(r'^django/getTrackDetails$', 'getTrackDetails', name='cesium-getTrackDetails'),
    url(r'^django/updateTrackDetails$', 'updateTrackDetails', name='cesium-updateTrackDetails'),
    url(r'^django/getTrackProfile$', 'getTrackProfile', name='cesium-getTrackProfile'),
    url(r'^django/deleteTrack$', 'deleteTrack', name='cesium-deleteTrack'),
    url(r'^django/proxy$', 'proxy', name='cesium-proxy'),
    url(r'^django/createCzml', 'createCzml', name='cesium-createCzml')
)