# -*- coding: utf-8 -*-

from cesium.models import GPX_TRACK
from django.contrib.auth.models import User

def delete_track(request):

    #check if user is logged in
    if(request.user.id is not None):

        trackId = request.POST['trkid']

        queryset = GPX_TRACK.objects.filter(
            userid=request.user).filter(id=trackId).delete();

        message = 'Der Track mit der ID ' + str(trackId) + ' wurde erfolgreich gelöscht.'
        success = 'true'

        retMsg = '{"success": ' + str(success) + ', '\
            '"msg":"' + message + '", '\
            '"trkid":' + str(trackId) +'}'

    else:
        message = 'Der Track mit der ID ' + str(trackId) + ' konnte nicht gelöscht werden.'
        success = False

        retMsg = '{"success": "' + str(success) + '" , "msg":"' + message + '"}'

    return retMsg